View Issue Details

IDProjectCategoryView StatusLast Update
0003989SymmetricDSImprovementpublic2019-06-25 14:06
ReporterpmarzulloAssigned Topmarzullo 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.10.2 
Target Version3.10.3Fixed in Version3.10.3 
Summary0003989: Java versions 11 and 12 should work with SymmetricDS
DescriptionJava versions 11 and 12 should work with SymmetricDS

Installation and runtime.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.10 0e0e92b8

2019-06-05 16:31:21

Philip Marzullo

Details Diff
0003989: Java versions 11 and 12 should work with SymmetricDS
0003989
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/AbstractCommandLauncher.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/DbFillCommand.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/DbImportCommand.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/SymmetricAdmin.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/ext/FtpDataLoaderFactory.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/io/MongoDataLoaderFactory.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/JobCreator.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/service/jmx/NodeManagementService.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/util/SnapshotUtil.java Diff File
mod - symmetric-client/src/main/resources/symmetric-jmx.xml Diff File
mod - symmetric-client/src/test/java/org/jumpmind/symmetric/DbExportImportTest.java Diff File
mod - symmetric-client/src/test/java/org/jumpmind/symmetric/io/data/writer/AbstractBulkDatabaseWriterTest.java Diff File
mod - symmetric-client/src/test/java/org/jumpmind/symmetric/tool/RefactorTool.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/file/FileSyncZipDataWriter.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/file/FileTriggerFileModifiedListener.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/io/DbCompare.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/io/DbValueComparator.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/io/stage/BatchStagingManager.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/FileSnapshot.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/AbstractFileParsingRouter.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/parse/DBFField.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/BandwidthService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/ClusterService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/FileSyncService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/OutgoingBatchService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TriggerRouterService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/statistic/AbstractStatsByPeriodMap.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/transport/TransportManagerFactory.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/transport/file/FileIncomingTransport.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/transport/file/FileOutgoingTransport.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/transport/http/HttpIncomingTransport.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/transport/http/HttpOutgoingTransport.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/transport/http/HttpTransportManager.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/transport/internal/InternalIncomingTransport.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/transport/internal/InternalOutgoingTransport.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/transport/internal/InternalOutgoingWithResponseTransport.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/transport/internal/InternalTransportManager.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/util/SymmetricUtils.java Diff File
mod - symmetric-core/src/test/java/org/jumpmind/symmetric/file/FileTriggerTrackerTest.java Diff File
mod - symmetric-core/src/test/java/org/jumpmind/symmetric/route/DataGapDetectorTest.java Diff File
mod - symmetric-core/src/test/java/org/jumpmind/symmetric/route/DataGapRouteReaderTest.java Diff File
mod - symmetric-core/src/test/java/org/jumpmind/symmetric/service/impl/AbstractDataLoaderServiceTest.java Diff File
mod - symmetric-core/src/test/java/org/jumpmind/symmetric/service/impl/AbstractTriggerRouterServiceTest.java Diff File
mod - symmetric-core/src/test/java/org/jumpmind/symmetric/service/impl/DataServiceTest.java Diff File
mod - symmetric-core/src/test/java/org/jumpmind/symmetric/transform/JavaColumnTransformTest.java Diff File
mod - symmetric-csv/src/main/java/org/jumpmind/symmetric/csv/CsvReader.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/io/DatabaseXmlUtil.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/model/Column.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/model/TypeMap.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/AbstractDatabasePlatform.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/DatabaseInfo.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/DefaultValueHelper.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/MetaDataColumnDescriptor.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/sql/Row.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/sql/SqlPersistenceManager.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/sql/SqlScript.java Diff File
mod - symmetric-db/src/test/java/org/jumpmind/db/sql/LogSqlBuilderTest.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/DbExport.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/DbFill.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/reader/AbstractTableDataReader.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/reader/SqlDataReader.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/reader/SymXmlDataReader.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/reader/XmlDataReader.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/transform/TransformColumn.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/DefaultDatabaseWriter.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/stage/StagedResource.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/stage/StagingManager.java Diff File
mod - symmetric-io/src/test/java/org/jumpmind/symmetric/io/AbstractWriterTest.java Diff File
mod - symmetric-io/src/test/java/org/jumpmind/symmetric/io/data/writer/DatabaseWriterConflictTest.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/AbstractJdbcDdlReader.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/h2/H2DdlReader.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/oracle/OracleDdlReader.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/tibero/TiberoDdlReader.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/sql/JdbcSqlTemplate.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/sql/JdbcSqlTransaction.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/util/BasicDataSourceFactory.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/util/ResettableBasicDataSource.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/driver/PreparedStatementWrapper.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/driver/StatementBypassInterceptor.java Diff File
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/SymmetricLauncher.java Diff File
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/SymmetricWebServer.java Diff File
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/web/ServerSymmetricEngine.java Diff File
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/web/SymmetricEngineHolder.java Diff File
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/web/rest/RestService.java Diff File
mod - symmetric-server/src/test/java/org/jumpmind/symmetric/test/AbstractTest.java Diff File
mod - symmetric-server/src/test/java/org/jumpmind/symmetric/test/FileSyncTest.java Diff File
mod - symmetric-util/src/main/java/org/jumpmind/properties/DefaultParameterParser.java Diff File
mod - symmetric-util/src/main/java/org/jumpmind/properties/TypedProperties.java Diff File
mod - symmetric-util/src/main/java/org/jumpmind/security/SecurityServiceFactory.java Diff File
mod - symmetric-util/src/main/java/org/jumpmind/util/AbstractVersion.java Diff File
mod - symmetric-util/src/main/java/org/jumpmind/util/AppUtils.java Diff File
mod - symmetric-util/src/main/java/org/jumpmind/util/LogSummaryAppender.java Diff File
mod - symmetric-util/src/main/java/org/jumpmind/util/SimpleClassCompiler.java Diff File
mod - symmetric-util/src/main/java/org/jumpmind/util/StreamGobbler.java Diff File
mod - symmetric-util/src/test/resources/log4j.xml Diff File

SymmetricDS: 3.10 c3e8df55

2019-06-05 16:39:45

Philip Marzullo

Details Diff
0003989: Java versions 11 and 12 should work with SymmetricDS
0003989
mod - symmetric-android/src/main/java/org/jumpmind/symmetric/android/AndroidSqlTemplate.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/sql/AbstractJavaDriverSqlTemplate.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/sql/ISqlTemplate.java Diff File

SymmetricDS: 3.10 c036f3d4

2019-06-06 10:25:25

Philip Marzullo

Details Diff
0003989: Java versions 11 and 12 should work with SymmetricDS
0003989
mod - symmetric-assemble/common.gradle Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/ClientSymmetricEngine.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/ext/MsSqlBulkDataLoaderFactory.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/ext/MySqlBulkDataLoaderFactory.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/ext/PostgresBulkDataLoaderFactory.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/io/MsSqlBulkDatabaseWriter.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/io/MySqlBulkDatabaseWriter.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/io/PostgresBulkDatabaseWriter.java Diff File
mod - symmetric-client/src/test/java/org/jumpmind/symmetric/io/OracleBulkDatabaseWriterTest.java Diff File
mod - symmetric-client/src/test/java/org/jumpmind/symmetric/io/PostgresBulkDatabaseWriterTest.java Diff File
mod - symmetric-client/src/test/java/org/jumpmind/symmetric/io/data/writer/MsSqlBulkDatabaseWriterTest.java Diff File
mod - symmetric-client/src/test/java/org/jumpmind/symmetric/io/data/writer/MySqlBulkDatabaseWriterTest.java Diff File
mod - symmetric-client/src/test/java/org/jumpmind/symmetric/io/data/writer/PostgresBulkDatabaseWriterTest.java Diff File
mod - symmetric-jdbc/build.gradle Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/ase/AseDatabasePlatform.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/ase/AseJdbcSqlTemplate.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/oracle/OracleLobHandler.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/sqlanywhere/SqlAnywhereDatabasePlatform.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/sqlanywhere/SqlAnywhereJdbcSqlTemplate.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/sybase/SybaseJdbcSqlTemplate.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/sql/JdbcUtils.java Diff File

SymmetricDS: 3.10 1a11fba4

2019-06-11 16:09:28

Philip Marzullo

Details Diff
0003989: Java versions 11 and 12 should work with SymmetricDS
0003989
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/oracle/OracleDdlBuilder.java Diff File

Issue History

Date Modified Username Field Change
2019-06-05 10:46 pmarzullo New Issue
2019-06-05 10:46 pmarzullo Status new => assigned
2019-06-05 10:46 pmarzullo Assigned To => pmarzullo
2019-06-05 17:00 Changeset attached => SymmetricDS 3.10 c3e8df55
2019-06-05 17:00 Changeset attached => SymmetricDS 3.10 0e0e92b8
2019-06-06 11:00 Changeset attached => SymmetricDS 3.10 c036f3d4
2019-06-11 16:10 pmarzullo Status assigned => resolved
2019-06-11 16:10 pmarzullo Resolution open => fixed
2019-06-11 16:11 pmarzullo Fixed in Version => 3.10.3
2019-06-11 17:00 Changeset attached => SymmetricDS 3.10 1a11fba4
2019-06-25 14:06 admin Status resolved => closed